/// <reference types="react" />
import { type TextProps } from "../../../ui";
export declare const IFrameWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    fade?: boolean | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const IFrameEditWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    fade?: boolean | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledInput: import("@emotion/styled").StyledComponent<import("../../../ui").TextareaProps & import("react").RefAttributes<HTMLTextAreaElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SaveButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const InteractiveText: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & TextProps, {}, {}>;
